using System;
using System.IO;

namespace TopLevelFailure
{
    class Program
    {
        // UWAGA: jeśli chcemy by został zgłoszony wyjątek, musimy się upewnić, że w katalogu C:\Temp
        // nie będzie pliku o nazwie "File.txt".
        // Listing 8-1
        static void Main(string[] args)
        {
            using (var r = new StreamReader(@"C:\Temp\File.txt"))
            {
                while (!r.EndOfStream)
                {
                    Console.WriteLine(r.ReadLine());
                }
            }
        }
    }
}
